%define piname	polar_pi

Name:           opencpn-polar-plugin
Summary:        Polar diagram generation plugin for OpenCPN
Version:        1.1.17.1
%define subrel  1
Release:        %mkrel 2
License:        GPLv2
Group:          Geography
URL:            https://opencpn.org/OpenCPN/plugins/polar.html
Source0:        %{piname}-%{version}.tar.gz
# Use mk-tar to download Source0
Source1:        mk-tar
Patch0:         opencpn-polar-1.1.17.1-pkgconfig_gtk3.patch

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Polar diagram generation plugin for OpenCpn 
It can use polar diagrams already generated from external sources

%prep
%autosetup -p1 -n %{piname}

%build
%cmake \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	-DCMAKE_BUILD_TYPE=release

%cmake_build

%install
%cmake_install

%find_lang opencpn-Polar_pi

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-Polar_pi.lang
%{_libdir}/opencpn/libPolar_pi.so
%{_datadir}/opencpn/plugins/Polar_pi/data/


%changelog
* Sat Jul 31 2021 philippedidier <philippedidier> 1.1.17.1-2.1.mga8
+ Revision: 1738338
- correct %%mkrel and add %%subrel
- build with wxgtku3.0 strictly needed instead of 3.1

* Fri Jan 01 2021 wally <wally> 1.1.17.1-2.mga8
+ Revision: 1667715
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 1.1.17.1-1.mga8
+ Revision: 1628996
- new version 1.1.17.1
- patch to use pkgconfig in cmake
- add git BR
- use autosetup
- fix files list and langs due to gratuitous capital letter from upstream

* Sun Aug 16 2020 wally <wally> 1.1.008-7.mga8
+ Revision: 1614357
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 1.1.008-6.mga8
+ Revision: 1538023
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 1.1.008-5.mga8
+ Revision: 1459480
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.1.008-4.mga8
+ Revision: 1421020
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.1.008-3.mga7
+ Revision: 1299998
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.1.008-2.mga7
+ Revision: 1239511
- fix build on aarch64
+ barjac <barjac>
- new version 1.1.008
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.1.007-3.mga6
+ Revision: 1106114
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.1.007-2.mga6
+ Revision: 1019834
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.1.007-1.mga6
+ Revision: 962220
- new package opencpn-polar-plugin

